com.pixelmed.doseocr

## Class LegacyRadiationDoseOCRDicomForwardingService

- java.lang.Object
- - com.pixelmed.doseocr.LegacyRadiationDoseOCRDicomForwardingService

    public class LegacyRadiationDoseOCRDicomForwardingService
    extends java.lang.Object

A class to wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to a pre-configured DICOM destination.

The class has no public methods other than the constructor and a main method that is useful as a utility.

### Nested Class Summary

Nested Classes
`protected class` `LegacyRadiationDoseOCRDicomForwardingService.OurReceivedObjectHandler`
`protected class` `LegacyRadiationDoseOCRDicomForwardingService.ReceivedFileProcessor`
`protected class` `LegacyRadiationDoseOCRDicomForwardingService.Series`
`protected class` `LegacyRadiationDoseOCRDicomForwardingService.SeriesProcessor`
`protected class` `LegacyRadiationDoseOCRDicomForwardingService.SeriesQueue`

### Field Summary

Fields
`protected int` `debugLevel`
`protected int` `networkDebugLevel`
`protected java.lang.String` `ourAETitle`
`protected LegacyRadiationDoseOCRDicomForwardingService.SeriesQueue` `seriesQueue`
`protected java.lang.String` `theirAETitle`
`protected java.lang.String` `theirHost`
`protected int` `theirPort`
`protected static long` `TIMEOUT_BEFORE_CHECKING_FOR_WORK_MS`
`protected static long` `TIMEOUT_BEFORE_PROCESSING_SERIES_MS`

### Constructor Summary

Constructors
Constructor and Description
`LegacyRadiationDoseOCRDicomForwardingService(int ourPort, java.lang.String ourAETitle, java.lang.String theirHost, int theirPort, java.lang.String theirAETitle, java.io.File savedImagesFolder, int debugLevel)` Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.
`LegacyRadiationDoseOCRDicomForwardingService(int ourPort, java.lang.String ourAETitle, java.lang.String theirHost, int theirPort, java.lang.String theirAETitle, java.io.File savedImagesFolder, int debugLevel, int networkDebugLevel)` Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.

### Method Summary

Methods
`static void` `main(java.lang.String[] arg)` Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.
`protected void` `sendSRFile(CTDose ctDose)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TIMEOUT_BEFORE_PROCESSING_SERIES_MS

    protected static long TIMEOUT_BEFORE_PROCESSING_SERIES_MS

#### TIMEOUT_BEFORE_CHECKING_FOR_WORK_MS

    protected static long TIMEOUT_BEFORE_CHECKING_FOR_WORK_MS

#### debugLevel

    protected int debugLevel

#### networkDebugLevel

    protected int networkDebugLevel

#### theirHost

    protected java.lang.String theirHost

#### theirPort

    protected int theirPort

#### theirAETitle

    protected java.lang.String theirAETitle

#### ourAETitle

    protected java.lang.String ourAETitle

#### seriesQueue

    protected LegacyRadiationDoseOCRDicomForwardingService.SeriesQueue seriesQueue

### Constructor Detail

#### LegacyRadiationDoseOCRDicomForwardingService

    public LegacyRadiationDoseOCRDicomForwardingService(int ourPort,
                                                java.lang.String ourAETitle,
                                                java.lang.String theirHost,
                                                int theirPort,
                                                java.lang.String theirAETitle,
                                                java.io.File savedImagesFolder,
                                                int debugLevel)
                                                 throws java.io.IOException

Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.

Parameters:
  `ourPort` -
  `ourAETitle` -
  `theirHost` -
  `theirPort` -
  `theirAETitle` -
  `savedImagesFolder` -
  `debugLevel` -
Throws:
  `java.io.IOException`

#### LegacyRadiationDoseOCRDicomForwardingService

    public LegacyRadiationDoseOCRDicomForwardingService(int ourPort,
                                                java.lang.String ourAETitle,
                                                java.lang.String theirHost,
                                                int theirPort,
                                                java.lang.String theirAETitle,
                                                java.io.File savedImagesFolder,
                                                int debugLevel,
                                                int networkDebugLevel)
                                                 throws java.io.IOException

Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.

Parameters:
  `ourPort` -
  `ourAETitle` -
  `theirHost` -
  `theirPort` -
  `theirAETitle` -
  `savedImagesFolder` -
  `debugLevel` -
  `networkDebugLevel` -
Throws:
  `java.io.IOException`

### Method Detail

#### sendSRFile

    protected void sendSRFile(CTDose ctDose)

#### main

    public static void main(java.lang.String[] arg)

Wait for incoming dose screen images, perform OCR to create Radiation Dose SRs and send RDSRs to specified DICOM destination.

Parameters:
  `arg` - array of six or strings - our port, our AE Title, their hostname, their port, their AE Title, and the debugging level and optionally a network debugging level (if absent defaults to the master debugging level)